LAT_UNIX(8)

NAME
lat_unix - measure interprocess communication latency via UNIX sockets

SYNOPSIS
lat_unix [ -m <message size> ] [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ]

DESCRIPTION
lat_unix is a client/server program that measures interprocess communication latencies. The benchmark passes a message back and forth between the two processes (this sort of benchmark is frequently referred to as a ``hot potato'' benchmark). No other work is done in the processes.

OUTPUT
The reported time is in microseconds per round trip and includes the total time, i.e., the context switching overhead is includeded. Output format is like so

AF_UNIX sock stream latency: 700 microseconds

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), lat_fcntl(8), lat_fifo(8), lat_tcp(8), lat_udp(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.